GetGroups (Hadoop 0.20.2-cdh3u3 API)
Date: 2012-03-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.tools
Class GetGroups

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.tools.GetGroupsBase
              org.apache.hadoop.mapred.tools.GetGroups

All Implemented Interfaces:
  Configurable, Tool

    public class GetGroups

extends GetGroupsBase

MR implementation of a tool for getting the groups which a given user belongs to.

Method Summary
`protected InetSocketAddress` | `getProtocolAddress(Configuration conf)` Must be overridden by subclasses to get the address where the `GetUserMappingsProtocol` implementation is running.
`static void` | `main(String[] argv)`

Methods inherited from class org.apache.hadoop.tools.GetGroupsBase
`run`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Method Detail

### getProtocolAddress

    protected InetSocketAddress getProtocolAddress(Configuration conf)
                                            throws IOException

  Description copied from class: `GetGroupsBase`
  Must be overridden by subclasses to get the address where the `GetUserMappingsProtocol` implementation is running.

  Specified by:
    `getProtocolAddress` in class `GetGroupsBase`
  Parameters:
    `conf` - The configuration to use.
  Returns:
    The address where the service is listening.
  Throws:
    `IOException`

### main

    public static void main(String[] argv)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation